Subject: Re: linux-next: manual merge of the ftrace tree with the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 31 Mar 2025 10:57:08 +1100

Hi all,

On Mon, 24 Mar 2025 16:41:11 +1100 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the ftrace tree got a conflict in:
> 
>   scripts/tracing/draw_functrace.py
> 
> between commit:
> 
>   9d702bb1d3c0 ("scripts: make python shebangs specific about desired version")
> 
> from the kbuild tree and commit:
> 
>   a926d15a799a ("scripts/tracing: Remove scripts/tracing/draw_functrace.py")
> 
> from the ftrace tree.
> 
> I fixed it up (I just removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the kbuild tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell